Skip single order
curl --request PUT \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": {
"Order": {
"id": "6384462ab645220008a4358a",
"status": "SKIPPED"
},
"dateSkipped": "2020-01-01T00:00:00.000Z",
"nextScheduledOrders": {
"newOrders": [
"62d51ab385a8cd00092eb8b7"
],
"subscriptions": [
"62d51ab385a8cd00092eb8b7"
]
},
"errors": [
{
"lineItemId": 1,
"code": "SUBSCRIPTION_NOT_FOUND"
}
]
}
}{
"responseStatus": "BAD_REQUEST",
"message": "Bad request"
}{
"Message": "User is not authorized to access this resource with an explicit deny"
}{
"responseStatus": "NOT_FOUND",
"message": "Not found"
}Orders
Skip single order
Skip order specified by order ID
PUT
/
v1
/
orders
/
{orderId}
/
skip
Skip single order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order ID General object ID
Example:
"606f01f441b8fc0008529916"
Was this page helpful?
⌘I
